<div class="body">
  <app-header titulo="Registro" contenido="Este módulo se encarga de registrar un empleado en la compañía."></app-header>

  <form class="row g-3" [formGroup]="frmRegistro" (ngSubmit)="registrarEmpleado()" id="frmRegistro">

    <h4 class="m-0">Nota:
      <small class="h6">Los campos marcados con (*) son obligatorios.</small>
    </h4>


    <div class="col-md-6">
      <label for="primerApellido" class="form-label">Primer apellido <small class="text-danger">(*)</small> </label>
      <input type="text" class="form-control" id="primerApellido" required placeholder="Primer apellido" formControlName="primerApellido" [ngClass]="{'is-invalid': primerApellido?.invalid}" (keyup)="convertirEnMayuscula('primerApellido')">
      <ul class="m-0">
        <li class="text-danger" *ngIf="primerApellido?.errors?.pattern">Solo se permite caracteres de la A a la Z, sin acentos ni Ñ ni espacios.</li>
        <li class="text-danger" *ngIf="primerApellido?.errors?.maxlength">Máximo de 20 caracteres</li>
        <li class="text-danger" *ngIf="primerApellido?.errors?.required">Campo obligatorio</li>
      </ul>
    </div>

    <div class="col-md-6">
      <label for="segundoApellido" class="form-label">Segundo apellido <small class="text-danger">(*)</small> </label>
      <input type="text" class="form-control" id="segundoApellido" placeholder="Segundo apellido" required formControlName="segundoApellido" [ngClass]="{'is-invalid': segundoApellido?.invalid}" (keyup)="convertirEnMayuscula('segundoApellido')">
      <ul class="m-0">
        <li class="text-danger" *ngIf="segundoApellido?.errors?.pattern">Solo se permite caracteres de la A a la Z, sin acentos ni Ñ ni espacios.</li>
        <li class="text-danger" *ngIf="segundoApellido?.errors?.maxlength">Máximo de 20 caracteres</li>
        <li class="text-danger" *ngIf="segundoApellido?.errors?.required">Campo obligatorio</li>
      </ul>
    </div>

    <div class="col-md-6">
      <label for="primerNombre" class="form-label">Primer nombre <small class="text-danger">(*)</small> </label>
      <input type="text" class="form-control" id="primerNombre" placeholder="Primer nombre" required formControlName="primerNombre" [ngClass]="{'is-invalid': primerNombre?.invalid}" (keyup)="convertirEnMayuscula('primerNombre')">
      <ul class="m-0">
        <li class="text-danger" *ngIf="primerNombre?.errors?.pattern">Solo se permite caracteres de la A a la Z, sin acentos ni Ñ ni espacios.</li>
        <li class="text-danger" *ngIf="primerNombre?.errors?.maxlength">Máximo de 20 caracteres</li>
        <li class="text-danger" *ngIf="primerNombre?.errors?.required">Campo obligatorio</li>
      </ul>
    </div>

    <div class="col-md-6">
      <label for="otrosNombres" class="form-label">Otros nombres</label>
      <input type="text" class="form-control" id="otrosNombres" placeholder="Otros nombres" formControlName="otrosNombres" [ngClass]="{'is-invalid': otrosNombres?.invalid}" (keyup)="convertirEnMayuscula('otrosNombres')">
      <ul class="m-0">
        <li class="text-danger" *ngIf="otrosNombres?.errors?.pattern">Solo se permite caracteres de la A a la Z, sin acentos ni Ñ.</li>
        <li class="text-danger" *ngIf="otrosNombres?.errors?.maxlength">Máximo de 50 caracteres</li>
      </ul>
    </div>

    <div class="col-md-12">
      <label for="paisEmpleo" class="form-label">País del empleo <small class="text-danger">(*)</small></label>
      <select id="paisEmpleo" class="form-select" required formControlName="paisEmpleo" [ngClass]="{'is-invalid': paisEmpleo?.invalid}">
        <option value="" disabled selected>Seleccione una opción</option>
        <option *ngFor="let item of listaPais" [value]="item.codPais">{{item.nombre}}</option>
      </select>
      <ul class="m-0">
        <li class="text-danger" *ngIf="paisEmpleo?.errors?.required">Campo obligatorio</li>
      </ul>
    </div>

    <div class="col-md-6">
      <label for="tipoIdentificacion" class="form-label">Tipo identificación <small class="text-danger">(*)</small></label>
      <select id="tipoIdentificacion" class="form-select" required formControlName="tipoIdentificacion" [ngClass]="{'is-invalid': tipoIdentificacion?.invalid}">
        <option value="" disabled selected>Seleccione una opción</option>
        <option *ngFor="let item of listaTipoIdent" [value]="item.codTipoIdentificacion">{{item.nombre}}</option>
      </select>
      <ul class="m-0">
        <li class="text-danger" *ngIf="tipoIdentificacion?.errors?.required">Campo obligatorio</li>
      </ul>
    </div>

    <div class="col-md-6">
      <label for="numeroIdentificacion" class="form-label">Número de identificación <small class="text-danger">(*)</small> </label>
      <input type="text" class="form-control" id="numeroIdentificacion" placeholder="Número identificación" required formControlName="numeroIdentificacion" [ngClass]="{'is-invalid': numeroIdentificacion?.invalid}">
      <ul class="m-0">
        <li class="text-danger" *ngIf="numeroIdentificacion?.errors?.pattern">No se permiten espacios, ni acentos ni Ñ.</li>
        <li class="text-danger" *ngIf="numeroIdentificacion?.errors?.maxlength">Máximo de 20 caracteres</li>
        <li class="text-danger" *ngIf="numeroIdentificacion?.errors?.required">Campo obligatorio</li>
      </ul>
    </div>

    <div class="col-md-6">
      <label for="fechaIngreso" class="form-label">Fecha de ingreso <small class="text-danger">(*)</small> </label>
      <input type="date" max="{{fechaMaxima | date:'yyyy-MM-dd'}}" min="{{fechaMinima | date:'yyyy-MM-dd'}}" class="form-control" id="fechaIngreso" placeholder="Número identificación" required formControlName="fechaIngreso" [ngClass]="{'is-invalid': fechaIngreso?.invalid}">
      <ul class="m-0">
        <li class="text-danger" *ngIf="fechaIngreso?.errors?.required">Campo obligatorio</li>
      </ul>
    </div>

    <div class="col-md-6">
      <label for="area" class="form-label">Área <small class="text-danger">(*)</small></label>
      <select id="area" class="form-select" required formControlName="area" [ngClass]="{'is-invalid': area?.invalid}">
        <option value="" disabled selected>Seleccione una opción</option>
        <option *ngFor="let item of listaArea" [value]="item.codArea">{{item.nombre}}</option>
      </select>
      <ul class="m-0">
        <li class="text-danger" *ngIf="area?.errors?.required">Campo obligatorio</li>
      </ul>
    </div>

    <div class="col-12">
      <button *ngIf="!loading" type="submit" class="btn btn-primary" [disabled]="frmRegistro.invalid">Registrar empleado</button>

      <button *ngIf="loading" class="btn btn-primary" type="button" disabled>
        <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
        Registrando...
      </button>

      <a class="btn btn-danger m-1" style="cursor: pointer;" [routerLink]="['/inicio']">Regresar</a>
    </div>
  </form>

</div>